import request from "@/utils/request.js";

// 代理中心 - 代理列表
export function myAgentList(data) {
	return request.get('agent/agent_list',data);
}
// 代理中心 - 邀请二维码
export function inviteSupplierJoinQrCode(data) {
	return request.get('agent/qr_code_invite',data);
}
// 代理加入 - 提交申请信息
export function submitAgentApplyInfo(data) {
	return request.post('agent/agent_apply',data);
}
// 入驻申请记录
export function agentApplyRecord(data) {
	return request.post(`agent/apply_record`, data);
}
// 单条申请信息
export function agentApplyInfo(data) {
	return request.get(`agent/apply_info`, data);
}
// 获取单条代理人员信息
export function getSingleAgentInfo(id) {
	return request.get(`agent/single_agent_info/${id}`);
}
// 获取配置信息
export function getAgentConfig() {
	return request.get(`agent/get_config`);
}
// 佣金明细
export function commissionList(data) {
	return request.get(`agent/commission_list`, data);
}
// 各类型的代理身份列表(总部运营、省运营、区县运营)
export function identityList() {
	return request.get(`agent/identity_list`);
}
// 获取代理角色及相关角色
export function roleAndCorrelationRole(data) {
	return request.get(`agent/role_and_correlation_role`, data);
}

